repo/gentoo:master commit in: net-misc/gallery-dl/
Maciej BarÄ <[email protected]> Mon, 03 Aug 2026 11:33:53 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785756819.bb88db1876c5bdd524fb5264bd5a6a102c338c63.xgqt@gentoo> |
commit: bb88db1876c5bdd524fb5264bd5a6a102c338c63
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 3 10:21:44 2026 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Aug 3 11:33:39 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb88db18
net-misc/gallery-dl: bump to 1.32.9
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
net-misc/gallery-dl/Manifest | 1 +
net-misc/gallery-dl/gallery-dl-1.32.9.ebuild | 49 ++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/net-misc/gallery-dl/Manifest b/net-misc/gallery-dl/Manifest
index 0b4ca0c54999..8e906e89bb07 100644
--- a/net-misc/gallery-dl/Manifest
+++ b/net-misc/gallery-dl/Manifest
@@ -3,3 +3,4 @@ DIST gallery-dl-1.32.4.gh.tar.gz 1143675 BLAKE2B e56ac443bda567ef78f837c0e91fe39
DIST gallery-dl-1.32.5.gh.tar.gz 1144047 BLAKE2B dc0cc0b0ba025519f6268b48d5a1fc584da7b8823640d36da050df92fd31eee478698e67d54e1dbefd9bba5f3682eef7c90079b296b790469798fdcb88392747 SHA512 b060764a9b1142a1b06f7571c0a3e5aaf6705aaa4768f24e2772863861e05a5fc4f7282ba34840f114b927b39795771f53301a2a603d29020598a76d718b1421
DIST gallery-dl-1.32.6.gh.tar.gz 1144576 BLAKE2B 4056a43b7caf99812faee983417ebe8257a83e997f4f25e7a2542ebf2d9d239ad2dadd489f301337ccf428cef0ee0ca1c2ee4ba57dbcb156ef0fe10d5be75810 SHA512 1eee3701083bc487527433c8b367963cd43ab583fc7d8839b0470c1bffbc7ed13defb823e3c1906105b49500587ccdf42af87a5790dcd6475a0e3e925becab26
DIST gallery-dl-1.32.8.gh.tar.gz 1144378 BLAKE2B 619c745592448d90ad8b62c88bc9fc216f0b34f114c7d22761338a61605d1244617fc6a65db0f3bdfba52aac5e1512b6a73e9b18fde3a88eb8b40806124b8974 SHA512 8dcf9df4b364decf9daa5f3e48c157c534ee467a4f17398a905adf6b3fb9e4cc2832851063fe31657f09f8abd0e9971e5c4149f690fd5172127c162e4dcc1068
+DIST gallery-dl-1.32.9.gh.tar.gz 1144928 BLAKE2B 6c0776849259d48a2c4822d4aeb330c3e58e6b3efca5d0439d7ecef4b06ed62be8b5a03115b0640f8bb589ebf463281cd5ee8ab3aafe780e3a64e9a782e7f519 SHA512 9bfcd4a68af20e882260cd7a821877a8d64a711df246e968d541993020e791fc877520eae4c520ada50821c25538e68024e4505fe9ac0f4cbd947bb1981606c9
diff --git a/net-misc/gallery-dl/gallery-dl-1.32.9.ebuild b/net-misc/gallery-dl/gallery-dl-1.32.9.ebuild
new file mode 100644
index 000000000000..1b56e1fa1469
--- /dev/null
+++ b/net-misc/gallery-dl/gallery-dl-1.32.9.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..15} )
+PYTHON_REQ_USE="sqlite,ssl,xml(+)"
+DISTUTILS_USE_PEP517="setuptools"
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Download image galleries and collections from several image hosting sites"
+HOMEPAGE="https://github.com/mikf/gallery-dl/"
+
+if [[ "${PV}" == *9999* ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/mikf/${PN}"
+else
+ SRC_URI="https://github.com/mikf/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/requests-2.11.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Tests against real servers, some tests always fail and some are subject to change.
+ rm ./test/test_{extractor,results}.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_compile_all() {
+ emake PYTHON="${EPYTHON}" ./data/completion/{,_}gallery-dl man
+}
+
+pkg_postinst() {
+ optfeature "Pixiv Ugoira to WebM conversion" media-video/ffmpeg
+ optfeature "video downloads" net-misc/yt-dlp
+}